# Uses of Class
org.apache.cxf.common.util.Base64Exception

Packages that use Base64Exception
Package
Description
org.apache.cxf.common.util

- ## Uses of Base64Exception in org.apache.cxf.common.util

  Methods in org.apache.cxf.common.util that throw Base64Exception
  Modifier and Type
  Method
  Description
  `static byte[]`
  Base64UrlUtility.`decode(String encoded)`
  `static void`
  Base64Utility.`decode(char[] id, int o, int l, OutputStream ostream)`
  `static byte[]`
  Base64Utility.`decode(String id)`
  `static byte[]`
  Base64Utility.`decode(String id, boolean urlSafe)`
  `static void`
  Base64Utility.`decode(String id, OutputStream ostream)`
  `static byte[]`
  Base64Utility.`decodeChunk(char[] id, int o, int l)`
  The `decode_chunk` routine decodes a chunk of data into its native encoding.
  `static void`
  Base64Utility.`encode(byte[] id, int o, int l, Writer writer)`
  `static void`
  Base64Utility.`encodeChunk(byte[] id, int o, int l, OutputStream ostream)`